%define oname   rake-compiler

Name:       ruby-%{oname}
Version:    0.8.1
Release:    %mkrel 4
Summary:    Rake-based Ruby Extension (C, Java) task generator
Group:      Development/Ruby
License:    MIT
URL:        http://github.com/luislavena/rake-compiler
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Provide a standard and simplified way to build and package
Ruby extensions (C, Java) using Rake as glue.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install

# fix shebang
find %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/ \
  -type f -exec sed -i '/^#!/d' {} \;

%files
%{_bindir}/rake-compiler
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENSE.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/History.txt


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 0.8.1-4.mga3
+ Revision: 396357
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.8.1-3.mga3
+ Revision: 381343
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 0.8.1-2.mga3
+ Revision: 313824
- rebuild for new ruby

* Thu Jun 07 2012 solbu <solbu> 0.8.1-1.mga3
+ Revision: 256733
- New version
- Spec cleanup

* Sat Apr 09 2011 shikamaru <shikamaru> 0.7.7-1.mga1
+ Revision: 82577
- new version 0.7.7

* Tue Mar 22 2011 shikamaru <shikamaru> 0.7.6-1.mga1
+ Revision: 75723
- New version 0.7.6

* Tue Jan 25 2011 shikamaru <shikamaru> 0.7.5-3.mga1
+ Revision: 39614
- rebuild for new rubygems.rb

* Sun Jan 23 2011 shikamaru <shikamaru> 0.7.5-2.mga1
+ Revision: 34692
- imported package ruby-rake-compiler

